kind: AppProject
apiVersion: argoproj.io/v1alpha1
metadata:
  name: {{ $.Values.namespaceName | quote }}
  namespace: argocd
spec:
  sourceRepos:
    - "*"

  destinations:
  - server: https://kubernetes.default.svc
    {{- if .Values.privileged }}
    namespace: "*"
    {{- else }}
    namespace: {{ .Values.namespaceName }}
    {{- end }}
  
  {{- if .Values.privileged }}
  clusterResourceWhitelist:
  - group: '*'
    kind: '*'
  namespaceResourceBlacklist: []
  {{- else }}
  # Deny all cluster-scoped resources from being created
  clusterResourceWhitelist: []
  # Allow all namespaced-scoped resources to be created, except for ResourceQuota, LimitRange, NetworkPolicy
  namespaceResourceBlacklist:
  - group: ''
    kind: ResourceQuota
  - group: ''
    kind: LimitRange
  - group: ''
    kind: NetworkPolicy
  {{- end }}